org.apache.tomcat.util.bcel.classfile

## Class EnclosingMethod

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.EnclosingMethod

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnclosingMethod
    extends Attribute

This attribute exists for local or anonymous classes and ... there can be only one.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Constructor Summary

Constructors
Constructor and Description
`EnclosingMethod(int nameIndex, int len, DataInputStream dis, ConstantPool cpool)`

### Method Summary

Methods
`Attribute` `copy(ConstantPool constant_pool)`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, getName, getTag, readAttribute, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnclosingMethod

    public EnclosingMethod(int nameIndex,
                   int len,
                   DataInputStream dis,
                   ConstantPool cpool)
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### copy

    public Attribute copy(ConstantPool constant_pool)

Specified by:
  `copy` in class `Attribute`
Returns:
  deep copy of this attribute